Change log for sagemath package in Ubuntu

175 of 79 results
Published in hirsute-release on 2020-12-04
Deleted in hirsute-proposed (Reason: moved to Release)
sagemath (9.2-2) unstable; urgency=medium

  * Do not hardcode python minor version in d/rules. (Closes: #972916)
  * New patches:
    - u0-version-pari-2.13.patch (Closes: #974991)
    - u0-version-pari-2.13-spkg-configure.patch
    - dt-avoid-pari-timeout.patch

 -- Tobias Hansen <email address hidden>  Sun, 22 Nov 2020 00:40:14 +0000

Available diffs

Deleted in hirsute-proposed on 2020-11-23 (Reason: remove old sagemath from hirsute-rpoposed)
sagemath (9.2-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <email address hidden>  Thu, 19 Nov 2020 20:20:54 +0100

Available diffs

Deleted in hirsute-proposed on 2020-11-26 (Reason: remove old sagemath from hirsute-rpoposed)
sagemath (9.2-1) unstable; urgency=medium

  * New upstream release. (Closes: #972916)
  * Remove patches (applied upstream):
    - d0-maxima.patch #30563
  * Update debian/watch.

 -- Tobias Hansen <email address hidden>  Mon, 26 Oct 2020 19:59:07 +0000

Available diffs

Deleted in hirsute-proposed on 2020-10-30 (Reason: remove old sagemath from hirsute-rpoposed)
Deleted in groovy-proposed on 2020-10-30 (Reason: From groovy-as-devel-series, now present in hirsute, not ...)
sagemath (9.2~beta12-1) unstable; urgency=medium

  * New upstream release. (Closes: #949023, #963338)
  * We are now using upstream's new configure script that checks for
    system packages and configures sage to use them. It does not
    recognize all system packages yet, so we patched it to never
    build any spkg's (d1-no-spkg-builds.patch).
    At the same time we changed some details about how sage is installed
    and tried to remove as many patches as possible.
  * Add debian/depcheck.py and run it after configure.
    This script checks for all (Build-)Depends of the Debian package
    if they appear in the debian.txt files under sage/build/pkgs/*/distros
    and reports which ones do not appear in debian.txt files.
    This can be used to find obsolete package Depends and to help create
    missing debian.txt files.
  * New (Build-)Depends:
    - curl
    - ecl (>= 20.4.24)
    - glpk-utils
    - libcurl4-openssl-dev
    - libopenblas-dev
    - libzmq3-dev
    - maxima-sage (>= 5.44.0)
    - pari-gp2c
    - pari-elldata
    - pari-galpol
    - ppl-dev
    - pynac (>= 0.7.26-5)
    - python3-sphinx (>= 3.0)
    - python3-tk
    - yasm
  * Remove (Build-)Depends:
    - libblas-dev
    - python3-brial (>= 1.2.5-2)
  * New patches:
    - u0-version-flint-2.6.3.patch               #29719
    - d0-arb.patch
    - d1-sage.patch
    - d1-no-spkg-builds.patch
    - d1-system-python-packages.patch
    - dt-avoid-ecl-timeout.patch
    - dt-avoid-giac-segfault.patch
  * Remove patches (in refactoring for 9.2):
    - u1-fix-atrocious-symlink-logic.patch       #22444
    - u1-looser-doctest-basename.patch           #22445
    - u1-workaround-sympow-malloc-perturb.patch
    - u2-allow-override-sage-local.patch
    - d0-arb.patch
    - d0-disable-jsmol.patch
    - d1-sage-cli.patch
    - df-sage-gap-reset-doctest.patch
    - df-silence_ecl_opt_signals.patch
    - d0-threejs-default-in-notebooks.patch
    - d0-paths.patch
    - d0-threejs-offline-paths.patch
    - d1-install-paths.patch
    - d1-multiarch-python-paths.patch
    - dt-version-glpk-4.60-extra-hacky-fixes.patch
    - dt-more-fix-test-cases.patch
    - dt-work-around-singular-mips64el-segfault.patch
  * Remove patches (applied upstream in 9.2):
    - u0-version-sphinx-2.4.patch                #28856
    - u0-version-pari-2.11.3.patch               #29313
    - u0-version-ecl-16.1.3.patch                #22191
    - u0-version-ipython-7.patch                 #28197
    - u2-version-matplotlib-3.2.1.patch
    - u0-version-python-3.8.patch                #27754
  * Remove patches (applied upstream in 9.1):
    - u0-version-scipy-1.4.patch                 #29115
    - u0-version-sympy-1.5.patch                 #28911
    - u1-pkgconfig-extra-link-flags.patch        #27205
    - u1-fix-trivial-test-cases.patch
    - u2-version-rpy-3.patch
    - d0-nauty.patch
    - d1-fakeroot.patch
    - dt-version-glpk-4.65-ignore-warnings.patch
  * Pass --enable-build-as-root to ./configure.

 -- Tobias Hansen <email address hidden>  Sat, 12 Sep 2020 09:52:45 +0000
Deleted in groovy-proposed on 2020-09-04 (Reason: FTBFS, blocks flint transition; Debian bug #963338)
sagemath (9.0-4build1) groovy; urgency=medium

  * No-change rebuild against libflint-2.6.3

 -- Steve Langasek <email address hidden>  Mon, 17 Aug 2020 08:19:54 +0000

Available diffs

Superseded in groovy-proposed on 2020-05-09
sagemath (9.0-1ubuntu5) groovy; urgency=medium

  * No-change rebuild against libgsl25

 -- Graham Inggs <email address hidden>  Fri, 08 May 2020 06:01:49 +0000

Available diffs

Deleted in groovy-release on 2020-09-04 (Reason: FTBFS, blocks flint transition; Debian bug #963338)
Deleted in groovy-proposed on 2020-09-04 (Reason: moved to Release)
sagemath (9.0-4) unstable; urgency=medium

  * New (Build-)Depends:
    - gap-dev (>= 4.11.0)
    - libgap-dev
  * New patches:
    - u0-version-gap-4.11.patch                  #29314
    - u0-version-sphinx-2.4.patch                #28856
    - u0-version-scipy-1.4.patch                 #29115
  * Remove patches:
    - d0-libgap-path.patch
    - df-revert-minor-feature-dependent-on-python-patch.patch
    - df-subprocess-sphinx.patch
  * Modified patches:
    - u0-version-python-3.8.patch (add 32-bit hashes)
  * Allow up to 200 failed doctests.
  * Stop using dh_sphinxdoc.

 -- Tobias Hansen <email address hidden>  Sat, 25 Apr 2020 15:09:00 +0000
Superseded in groovy-release on 2020-05-29
Published in focal-release on 2020-02-13
Deleted in focal-proposed (Reason: moved to Release)
sagemath (9.0-1ubuntu4) focal; urgency=medium

  * Allow up to 350 test failures.

 -- Matthias Klose <email address hidden>  Sat, 08 Feb 2020 14:46:38 +0100
Superseded in focal-proposed on 2020-02-08
sagemath (9.0-1ubuntu3) focal; urgency=medium

  * Don't try to build on armhf.

 -- Matthias Klose <email address hidden>  Sat, 08 Feb 2020 07:23:00 +0100

Available diffs

Superseded in focal-proposed on 2020-02-08
sagemath (9.0-1ubuntu2) focal; urgency=medium

  * No-change upload for libm4rie soname change.

 -- Matthias Klose <email address hidden>  Sat, 01 Feb 2020 06:12:23 +0100

Available diffs

Superseded in focal-proposed on 2020-02-01
sagemath (9.0-1ubuntu1) focal; urgency=medium

  [ Tobias Hansen ]
  * New patches:
    - u0-version-python-3.8.patch                #27754

  [ Matthias Klose ]
  * Allow up to 300 test failures instead of 65.

 -- Matthias Klose <email address hidden>  Wed, 29 Jan 2020 17:51:55 +0100

Available diffs

Superseded in focal-proposed on 2020-01-29
sagemath (9.0-1build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <email address hidden>  Sat, 25 Jan 2020 05:47:08 +0000

Available diffs

Superseded in focal-proposed on 2020-01-25
sagemath (9.0-1) unstable; urgency=medium

  [ Tobias Hansen ]
  * New upstream release.
  * New (Build-)Depends:
    - ipython3 (>= 7.11.1) (Closes: #949287)
  * Remove (Build-)Depends:
    - python3-prompt-toolkit (Closes: #944544)
  * New patches (from Arch Linux):
    - u0-version-ipython-7.patch (Closes: #949446)
  * Remove patches:
    - u0-32bit-overflow-trac-28795.patch         #28795
    - u0-version-threejs-111.patch               #28560
    - d1-packages-exclude-pip.patch
    - d1-python3-shebang.patch
    - df-python_security.patch
    - dt-version-sympy-1.3.patch
  * Modify d1-sage-env.patch:
    Source sage-env earlier to fix 'sage -v' (Closes: #948731)
  * Depend on cython3 instead of cython (Closes: #938426)
  * Allow 25 failed indep doctests.

  [ Julien Puydt ]
  * Update d1-sage-env.patch to find scripts (Closes: #948212)

 -- Tobias Hansen <email address hidden>  Wed, 22 Jan 2020 22:37:42 +0100

Available diffs

Superseded in focal-release on 2020-02-13
Deleted in focal-proposed on 2020-02-14 (Reason: moved to Release)
sagemath (8.9-3) unstable; urgency=medium

  * New (Build-)Depends:
    - libjs-three (>= 111)
  * New patch (Closes: #944648)
    - u0-32bit-overflow-trac-28795.patch         #28795
    - u0-version-threejs-111.patch               #28560
    - d1-packages-exclude-pip

 -- Tobias Hansen <email address hidden>  Sun, 01 Dec 2019 12:26:58 +0000

Available diffs

Superseded in focal-release on 2019-12-03
Deleted in focal-proposed on 2019-12-05 (Reason: moved to Release)
sagemath (8.9-2) unstable; urgency=medium

  * Follow best practices for blas in Debian:
    - Build-Depend on libblas-dev instead of libopenblas-dev|libatlas-base-dev
    - Recommend libopenblas-base|libblis2|libatlas3-base|libblas3|libblas.so.3
  * Update pplpy documentation path for pplpy 0.8.4-3.
  * Add python3 environment variables to d/rules export-build-env.
  * New (Build-)Depends:
    - brial (>= 1.2.5-2)
  * Override lintian error for sagemath-dbgsym: field-too-long 'Build-Ids'.

 -- Tobias Hansen <email address hidden>  Sun, 10 Nov 2019 21:41:38 +0100

Available diffs

Superseded in focal-release on 2019-11-11
Deleted in focal-proposed on 2019-11-12 (Reason: moved to Release)
sagemath (8.9-1) unstable; urgency=medium

  * New upstream release.
  * New (Build-)Depends:
    - libgivaro-dev (>= 4.1.1-2)

 -- Tobias Hansen <email address hidden>  Tue, 01 Oct 2019 11:29:02 +0200
Deleted in eoan-proposed on 2019-09-05 (Reason: Build-depends on obsolete python-snowballstemmer)
sagemath (8.8-1) unstable; urgency=medium

  * New upstream release. (Closes: #932367, #934171)
  * New (Build-)Depends:
    - libbrial-dev (>= 1.2.5)
    - libbrial-groebner-dev (>= 1.2.5)
    - libec-dev (>= 20190226)
    - maxima-sage (>= 5.42.2)
    - python-cypari2 (>= 2.1)
    - python-gmpy2
    - python-nose
    - python-ppl
    - python-ppl-doc
    - python-scipy (>= 1.2)
    - python-sphinx (>= 1.8.5)
    - sagemath-database-conway-polynomials (>= 0.5-7)
  * Remove patches (applied upstream):
    - u0-version-numpy-1.16-inline-fortran.patch #27061
    - u0-version-sphinx-1.8.patch                #26451
    - u0-version-sphinx-1.8-dependency.patch     #26949
    - u1-sphinx-1.8-doctest-transform.patch      #27528
    - u2-libgap-symbol-loading.patch             #26930
    - d1-disable-post-install-tests.patch
  * Patches with non-trivial modifications:
    - u0-version-sphinx-1.8.patch                #26451
    - d0-singular.patch
    - d0-paths.patch
    - d0-libgap-path.patch
    - d1-install-paths.patch
    - d1-sage-cli.patch
    - d1-sage-env.patch
    - dt-version-ipywidgets-6-revert-23177.patch
  * Allow up to 65 failed tests.

 -- Tobias Hansen <email address hidden>  Sun, 01 Sep 2019 16:14:42 +0000

Available diffs

Deleted in eoan-proposed on 2019-08-23 (Reason: sagemath FTBFS, blocks transitions; Debian bug #925820)
sagemath (8.6-6build1) eoan; urgency=medium

  * Rebuild against new libec5.

 -- Gianfranco Costamagna <email address hidden>  Thu, 01 Aug 2019 10:04:40 +0200

Available diffs

Deleted in eoan-release on 2020-07-14 (Reason: sagemath FTBFS, blocks transitions; Debian bug #925820)
Obsolete in disco-release on 2020-07-14
Deleted in disco-proposed on 2020-07-14 (Reason: moved to release)
sagemath (8.6-6) unstable; urgency=medium

  * New patches:
    - u1-sphinx-1.8-doctest-transform.patch
    - d0-mathjax.patch
  * Update u0-version-sphinx-1.8.patch.
  * Create symlinks to system mathjax to fix math typesetting
    in documentation.
  * Remove (Build-)Depends:
    - python-flask
    - python-flask-autoindex
    - python-flask-babel
    - python-flask-oldsessions
    - python-flask-openid
    - python-flask-silk
  * Move packages from Depends to Recommends of sagemath (they all stay
    Build-Depends):
    - maxima-sage-doc
    - pari-doc
    - python-sagenb-export
    - r-cran-lattice
    - singular-doc
  * Fix 'sage --version'. (Closes: #923166)

 -- Tobias Hansen <email address hidden>  Sat, 02 Mar 2019 02:54:33 +0000

Available diffs

Superseded in disco-release on 2019-03-14
Deleted in disco-proposed on 2019-03-16 (Reason: moved to release)
sagemath (8.6-5) unstable; urgency=medium

  * New patches:
    - d0-threejs-default-in-notebooks.patch
      Makes threejs the default 3D viewer in the Jupyter and sagenb
      notebooks.
    - u1-pkgconfig-extra-link-flags.patch (Closes: #919573)
  * Update u0-version-sphinx-1.8.patch.
  * Exclude all png's from dh_strip_nondeterminism.

 -- Tobias Hansen <email address hidden>  Thu, 07 Feb 2019 06:51:46 +0000
Superseded in disco-proposed on 2019-02-20
sagemath (8.6-4ubuntu1) disco; urgency=medium

  * From doko, build with ld --no-as-needed for now.

 -- Gianfranco Costamagna <email address hidden>  Fri, 01 Feb 2019 12:06:59 +0100

Available diffs

Superseded in disco-proposed on 2019-02-01
sagemath (8.6-4) unstable; urgency=medium

  [ Ximin Luo ]
  * Add Rules-Requires-Root: no, avoid using fakeroot.

  [ Tobias Hansen ]
  * Install a desktop file to start the Jupyter notebook.
  * New (Build-)Depends:
    - python-sphinx (>= 1.8) (Closes: #920989)
  * Remove (Build-)Depends:
    - gnutls-dev
    - libblas-dev
    - libgcrypt-dev
    - python3-dev
    - scons
    - f2c
    - octave
    - python-crypto
    - python-gd
    - python-gnutls
    - python-jsonschema
    - python-moinmoin
    - python-ply
    - python-tk
  * Adjust two trivial test fixes.
  * New patches:
    - u0-version-sphinx-1.8-dependency.patch     #26949
    - u0-version-sphinx-1.8.patch                #26451
  * Don't install sage-env-config. (Closes: #918990)

 -- Tobias Hansen <email address hidden>  Thu, 31 Jan 2019 15:35:11 +0000

Available diffs

Superseded in disco-proposed on 2019-01-31
sagemath (8.6-3) unstable; urgency=medium

  [ Tobias Hansen ]
  * New (Build-)Depends:
    - gap-online-help
    - gap-atlasrep
    - gap-table-of-marks
    - libopenblas-dev (on supported architectures)
  * Remove (Build-)Depends:
    - libatlas-base-dev (on openblas supported architectures)
    - liblapack-dev
  * Allow up to 50 test failures.
  * Run tests with appropriate --optional flag.

  [ E. Madison Bray ]
  * New patch: u2-libgap-symbol-loading.patch

 -- Tobias Hansen <email address hidden>  Thu, 24 Jan 2019 08:52:42 +0000
Superseded in disco-proposed on 2019-01-31
sagemath (8.6-2ubuntu2) disco; urgency=medium

  * Build with ld --no-as-needed for now.

 -- Matthias Klose <email address hidden>  Thu, 17 Jan 2019 12:37:26 +0100

Available diffs

Superseded in disco-proposed on 2019-01-17
sagemath (8.6-2ubuntu1) disco; urgency=medium

  * Build with ld --no-as-needed for now.

 -- Matthias Klose <email address hidden>  Thu, 17 Jan 2019 12:37:26 +0100

Available diffs

Superseded in disco-proposed on 2019-01-17
sagemath (8.6-2) unstable; urgency=medium

  * New (Build-)Depends:
    - ecl (>= 16.1.3)
    - maxima-sage (>= 5.41.0+ds-3)
  * New patches:
    - u0-version-ecl-16.1.3.patch                #22191
  * Don't run dh_strip_nondeterminism on sageicon.png to avoid error.

 -- Tobias Hansen <email address hidden>  Wed, 16 Jan 2019 17:33:43 +0000

Available diffs

Superseded in disco-proposed on 2019-01-16
sagemath (8.6-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * New (Build-)Depends:
    - cysignals (>= 1.8.1)
    - libpynac-dev (>= 0.7.23)
    - python-sphinx (<< 1.8~)
  * New patches:
    - u0-version-numpy-1.16-inline-fortran.patch #27061
  * Remove patches (applied upstream):
    - u0-version-networkx-2.2.patch              #26326
  * Fix path to sage in Jupyter kernel spec. (Closes: #918993)

 -- Tobias Hansen <email address hidden>  Wed, 16 Jan 2019 00:25:58 +0100

Available diffs

Superseded in disco-proposed on 2019-01-16
sagemath (8.4-4build1) disco; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <email address hidden>  Tue, 15 Jan 2019 10:27:07 +0000

Available diffs

Deleted in disco-proposed on 2019-01-17 (Reason: remove supserseded sagemath package in disco-proposed)
sagemath (8.4-4) unstable; urgency=medium

  * Closes: #918068
  * New (Build-)Depends:
    - gap-primgrp
    - gap-smallgrp
    - gap-transgrp
    - lcalc (>= 1.23+dfsg-9)
  * New patches:
    - u0-gap-trac-26889.patch                    #26889
    - u0-gap-trac-26856.patch                    #26856

 -- Tobias Hansen <email address hidden>  Thu, 03 Jan 2019 11:15:59 +0000

Available diffs

Superseded in disco-proposed on 2019-01-03
sagemath (8.4-3) unstable; urgency=medium

  * New (Build-)Depends:
    - gap (>= 4r10p0-3) (Closes: #912980)
    - networkx (>= 2.2)
    - gdb
  * Removed (Build-)Depends:
    - libgap-sage
    - libsingular4 (Closes: #912593)
    - gdb-python2 (Closes: #890231)
  * New patches:
    - u0-gap-util.patch
    - u0-version-gap-4.10.patch                  #22626
    - u0-version-networkx-2.2.patch              #26326
    - d0-libgap-path.patch
  * Removed patches:
    - d0-libgap-sage.patch
  * Add lintian overrides for threejs example files with long lines.
  * Allow 90 test failures for 'arch' tests, 10 for 'indep'.
  * Install shlibs.local for libgap.
  * Add lintian override for /usr/lib/*/gap in rpath.

 -- Tobias Hansen <email address hidden>  Wed, 02 Jan 2019 11:28:59 +0000

Available diffs

Superseded in disco-proposed on 2019-01-02
sagemath (8.4-3~build1) disco; urgency=medium

  * Upload to Ubuntu

 -- Gianfranco Costamagna <email address hidden>  Wed, 02 Jan 2019 14:18:02 +0100

Available diffs

Deleted in disco-release on 2019-01-17 (Reason: remove sagemath and rdep sagetex, currently ftbfs)
Deleted in disco-proposed on 2019-01-17 (Reason: moved to release)
sagemath (8.4-2ubuntu2) disco; urgency=medium

  * Regenerate the control file.

 -- Matthias Klose <email address hidden>  Thu, 01 Nov 2018 17:25:55 +0100
Superseded in disco-proposed on 2018-11-01
sagemath (8.4-2ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Use gdb instead of gdb-python2 as a build dependency.

Available diffs

Superseded in disco-proposed on 2018-11-01
sagemath (8.3-2ubuntu2) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <email address hidden>  Wed, 31 Oct 2018 13:13:52 +0000

Available diffs

Superseded in disco-release on 2018-11-01
Obsolete in cosmic-release on 2020-07-13
Deleted in cosmic-proposed on 2020-07-13 (Reason: moved to release)
sagemath (8.3-2ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - Use gdb instead of gdb-python2 as a build dependency.

Superseded in cosmic-proposed on 2018-10-02
sagemath (8.2-5ubuntu2) cosmic; urgency=medium

  * No-change rebuild against libpari-gmp-tls6.

 -- Mathieu Trudel-Lapierre <email address hidden>  Fri, 17 Aug 2018 12:31:22 -0400

Available diffs

Superseded in cosmic-proposed on 2018-08-17
sagemath (8.2-5ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use gdb instead of gdb-python2 as a build dependency.

Available diffs

Superseded in cosmic-proposed on 2018-07-02
sagemath (8.2-4ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use gdb instead of gdb-python2 as a build dependency.

Available diffs

Superseded in cosmic-release on 2018-10-06
Published in bionic-release on 2018-03-20
Deleted in bionic-proposed (Reason: moved to release)
sagemath (8.1-7ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use gdb instead of gdb-python2 as a build dependency.

Available diffs

Superseded in bionic-release on 2018-03-20
Deleted in bionic-proposed on 2018-03-21 (Reason: moved to release)
sagemath (8.1-6ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use gdb instead of gdb-python2 as a build dependency.

Superseded in bionic-proposed on 2018-03-14
sagemath (8.1-6) unstable; urgency=medium

  * Add patch dt-version-glpk-4.65-ignore-warnings.patch.

 -- Tobias Hansen <email address hidden>  Wed, 28 Feb 2018 16:23:41 +0000
Superseded in bionic-release on 2018-03-14
Deleted in bionic-proposed on 2018-03-15 (Reason: moved to release)
sagemath (8.1-3ubuntu1) bionic; urgency=medium

  * Use gdb instead of gdb-python2 as a build dependency.

 -- Matthias Klose <email address hidden>  Mon, 12 Feb 2018 10:42:53 +0100

Available diffs

Superseded in bionic-proposed on 2018-02-12
sagemath (8.1-3) unstable; urgency=medium

  [ Tobias Hansen ]
  * Update Vcs-* links for salsa.
  * New patches:
    - u0-version-mpfr-4.0.patch
      Fixes for libmpfr 4.0.
    - u0-version-matplotlib-2.1.0.patch
      New dependencies:
      - python-subprocess32
      - python-backports.functools-lru-cache
  * Modified patches:
    - dt-more-fix-test-cases.patch
      Fix ordering issue in two tests in the documentation.

  [ Ximin Luo ]
  * Tests now pass fine after fixes in other packages. (Closes: #888912)
  * Modified patches:
    - dt-more-fix-test-cases.patch
      Ignore sigabrt in sage_object.pyx doctest.
  * Add dbg packages to the pkg.sagemath.dbg build-profile to make
    stack traces work.
  * Touch the dummy spkg file to avoid rebuilds in some cases.

 -- Tobias Hansen <email address hidden>  Sun, 11 Feb 2018 21:20:28 +0000

Available diffs

Superseded in bionic-proposed on 2018-02-12
sagemath (8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <email address hidden>  Sat, 30 Dec 2017 12:26:04 +0100
Superseded in bionic-proposed on 2018-01-31
sagemath (8.0-10ubuntu1) bionic; urgency=medium

  * Fix wrong build-dependency on lcalc (>= 1.23+dfsg-6+b1); binary rebuild
    versions shouldn't be encoded as build-dependencies, and this is a
    Debian-specific rebuild version number.

 -- Steve Langasek <email address hidden>  Tue, 28 Nov 2017 23:55:55 -0800

Available diffs

Superseded in bionic-proposed on 2017-11-29
sagemath (8.0-10) unstable; urgency=medium

  * New patches:
    - u0-version-arb-2.11.1.patch
    - u0-version-numpy-1.13.patch
  * Temporarily raise test failure limit to 60, until next major version.

 -- Ximin Luo <email address hidden>  Fri, 10 Nov 2017 19:54:20 +0100
Superseded in bionic-proposed on 2017-11-10
sagemath (8.0-8.1~build3) bionic; urgency=medium

  * Actually libgd-dev

 -- Gianfranco Costamagna <email address hidden>  Thu, 09 Nov 2017 15:07:22 +0100

Available diffs

Superseded in bionic-proposed on 2017-11-09
sagemath (8.0-8.1~build2) bionic; urgency=medium

  * Update libgd2-dev dependency, thanks Adrian Bunk!
    (Closes: #880781)

 -- Gianfranco Costamagna <email address hidden>  Thu, 09 Nov 2017 15:02:31 +0100

Available diffs

Superseded in bionic-proposed on 2017-11-09
Deleted in artful-proposed on 2017-11-10 (Reason: Moved to bionic-proposed)
sagemath (8.0-8.1~build1) artful; urgency=medium

  * Prepare to no-change auto sync from Debian
    - I committed on git the lcalc delta, sphinx and scipy
      will be autosync'd

 -- Gianfranco Costamagna <email address hidden>  Mon, 16 Oct 2017 20:21:56 +0200

Available diffs

Superseded in artful-proposed on 2017-10-16
sagemath (8.0-8ubuntu2) artful; urgency=medium

  * Lower sphinx and scipy dependencies

 -- Gianfranco Costamagna <email address hidden>  Wed, 20 Sep 2017 10:36:04 +0200

Available diffs

Superseded in artful-proposed on 2017-09-20
sagemath (8.0-8ubuntu1) artful; urgency=medium

  * Match cython lcalc Ubuntu versions, drop cython 0.26 patch

 -- Gianfranco Costamagna <email address hidden>  Wed, 20 Sep 2017 09:51:10 +0200

Available diffs

Superseded in artful-proposed on 2017-09-20
sagemath (8.0-5build3) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <email address hidden>  Tue, 05 Sep 2017 08:23:44 +0000

Available diffs

Superseded in artful-proposed on 2017-09-05
sagemath (8.0-5build2) artful; urgency=medium

  * Adjoust lcalc/cython depedencies to match Ubuntu binNMU.
  * Drop cython patch

 -- Gianfranco Costamagna <email address hidden>  Sat, 02 Sep 2017 11:56:19 +0200

Available diffs

Superseded in artful-proposed on 2017-09-02
sagemath (8.0-5build1) artful; urgency=medium

  * Adjoust lcalc/cython depedencies to match Ubuntu binNMU.

 -- Gianfranco Costamagna <email address hidden>  Sat, 02 Sep 2017 11:56:19 +0200

Available diffs

Superseded in artful-proposed on 2017-09-02
sagemath (8.0-5) unstable; urgency=medium

  * Tweak the test failure limits to avoid unnecessary FTBFS.

 -- Ximin Luo <email address hidden>  Sun, 27 Aug 2017 22:12:28 +0200
Superseded in artful-proposed on 2017-09-02
sagemath (8.0-1ubuntu1) artful; urgency=medium

  * Drop lcalc binNMU versioning.

 -- Gianfranco Costamagna <email address hidden>  Mon, 21 Aug 2017 10:53:43 +0200

Available diffs

Superseded in artful-proposed on 2017-08-21
sagemath (8.0-1) experimental; urgency=medium

  [ Tobias Hansen ]
  * New upstream version (Closes: #870688).
  * New (Build-)Depends:
    - cypari2
  * Remove patches (applied upstream):
    - u0-fix-proper-scipy-rtol.patch
    - u0-version-r-3.3.3.patch
    - u0-version-singular-4.1.0p2.patch
    - u0-version-singular-4.1.0p3.patch
    - u0-sphinx-1.5.patch
    - u1-fix-use-lexists-not-exists.patch
    - u1-version-ecm-7.patch
    - u1-version-planarity-3.patch
    - df-sagedoc_avoid_exception.patch
  * Patches with non-trivial modifications:
    - u2-allow-override-sage-local.patch:
      May need further edits after https://trac.sagemath.org/ticket/21479
    - d0-libgap-sage.patch
    - d0-pari-stackwarn.patch
    - d0-paths.patch
    - d0-singular.patch
    - d1-install-paths.patch
    - d1-sage-env.patch
  * New patches:
    - df-revert-lazy-imports-22755.patch
    - u0-version-cython-0.26.patch
  * Decrease number of allowed test failures from 80 to 40.

  [ Ximin Luo ]
  * Update to latest Standards-Version; no changes required.
  * Split arch-dep vs arch-indep build and test targets more efficiently.
  * New patches:
    - u1-version-giac-1.2.3.57.patch
    - u2-workaround-sympow-malloc-perturb.patch

  [ Julien Puydt ]
  * Make searching for python check only the major version (Closes: #871794).

 -- Ximin Luo <email address hidden>  Wed, 16 Aug 2017 20:25:45 +0200
Deleted in artful-proposed on 2017-10-12 (Reason: NBS)
sagemath (7.6-3ubuntu3) artful; urgency=medium

  * debian/pruner: fix to look for python3 instead of python-3.5.

 -- Steve Langasek <email address hidden>  Thu, 10 Aug 2017 23:42:09 -0700
Superseded in artful-proposed on 2017-08-11
sagemath (7.6-3ubuntu2) artful; urgency=medium

  * No-change rebuild for libgsl soname change.

 -- Matthias Klose <email address hidden>  Sun, 06 Aug 2017 00:34:00 +0000

Available diffs

Superseded in artful-proposed on 2017-08-06
sagemath (7.6-3ubuntu1) artful; urgency=medium

  * Adjoust the lcalc dependency to match ubuntu rebuilds

 -- Gianfranco Costamagna <email address hidden>  Wed, 26 Jul 2017 10:24:27 +0200

Available diffs

Superseded in artful-proposed on 2017-07-26
sagemath (7.6-3) unstable; urgency=medium

  * New patches:
    - u0-sphinx-1.5.patch, upstream fixes for sphinx 1.5.
    - u1-more-sphinx-1.5-fixes.patch from Dmitry Shachnev. (Closes: #866166)
  * Use libgcrypt-dev instead of obsolete libgcrypt11-dev. (Closes: #864132)
  * Increase number of allowed test failures from 40 to 80.

 -- Tobias Hansen <email address hidden>  Mon, 24 Jul 2017 10:14:09 +0100
Deleted in artful-release on 2017-08-08 (Reason: demote pspp, orpie, odin, mpgrafic, blocking the gsl tran...)
Deleted in artful-proposed on 2017-08-08 (Reason: moved to release)
sagemath (7.6-2ubuntu6) artful; urgency=medium

  * Add u1-more-sphinx-1.5-fixes.patch to fix build with Sphinx 1.5.
  * Drop unneeded debian/rules changes from the last uploads.

 -- Dmitry Shachnev <email address hidden>  Fri, 07 Jul 2017 23:19:00 +0300
Superseded in artful-proposed on 2017-07-08
sagemath (7.6-2ubuntu5) artful; urgency=medium

  * Copy also directories.

 -- Gianfranco Costamagna <email address hidden>  Wed, 10 May 2017 19:42:03 +0200

Available diffs

Superseded in artful-proposed on 2017-05-10
sagemath (7.6-2ubuntu4) artful; urgency=medium

  * Copy the whole directory

 -- Gianfranco Costamagna <email address hidden>  Wed, 10 May 2017 15:32:47 +0200

Available diffs

Superseded in artful-proposed on 2017-05-10
sagemath (7.6-2ubuntu3) artful; urgency=medium

  * "Fix" last issue due to a missing file (wrong location)
     - affine_nil_temperley_lieb.rst.txt

 -- Gianfranco Costamagna <email address hidden>  Wed, 10 May 2017 12:21:08 +0200

Available diffs

Superseded in artful-proposed on 2017-05-10
sagemath (7.6-2ubuntu2) artful; urgency=medium

  * Try to fix build, with upstream patches.
    - debian/patches/879c401a54a4c4cb9e0d77fadd1f010c44d9b2a8.patch:
    - debian/patches/78e671810360d3e02ec1e0fa6643a0e63f727f39.patch:

 -- Gianfranco Costamagna <email address hidden>  Tue, 09 May 2017 14:55:03 +0200

Available diffs

Superseded in artful-proposed on 2017-05-09
sagemath (7.6-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Match lcalc versioning to the latest ubuntu one. (Can be
      dropped in next sync of lcalc)

 -- Gianfranco Costamagna <email address hidden>  Tue, 09 May 2017 13:06:45 +0200

Available diffs

Superseded in artful-proposed on 2017-05-09
sagemath (7.4-9ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Match lcalc versioning to the latest ubuntu one. (Can be
      dropped in next sync of lcalc)

 -- Gianfranco Costamagna <email address hidden>  Mon, 08 May 2017 12:33:14 +0200

Available diffs

Superseded in artful-release on 2017-07-08
Obsolete in zesty-release on 2018-06-22
Deleted in zesty-proposed on 2018-06-22 (Reason: moved to release)
sagemath (7.4-7ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Match lcalc versioning to the latest ubuntu one. (Can be
      dropped in next sync of lcalc)

Available diffs

Superseded in zesty-release on 2017-01-24
Deleted in zesty-proposed on 2017-01-25 (Reason: moved to release)
sagemath (7.4-6ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    * Adjust build-dependency on lcalc for Ubuntu in debian/control
      and debian/control.runtime-depends

Available diffs

Superseded in zesty-release on 2017-01-13
Deleted in zesty-proposed on 2017-01-14 (Reason: moved to release)
sagemath (7.4-4ubuntu2) zesty; urgency=medium

  * Fix typo in previous upload

 -- Graham Inggs <email address hidden>  Sat, 31 Dec 2016 10:38:55 +0200

Available diffs

Superseded in zesty-proposed on 2016-12-31
sagemath (7.4-4ubuntu1) zesty; urgency=medium

  * Adjust build-dependency on lcalc for Ubuntu in debian/control
    and debian/control.runtime-depends

 -- Graham Inggs <email address hidden>  Fri, 30 Dec 2016 10:34:29 +0200

Available diffs

Superseded in zesty-proposed on 2016-12-30
sagemath (7.4-4) unstable; urgency=medium

  * Add a temporary exception to the i386 testsuite to allow the build to pass.
    This allows us to artificially pass an intermediate deadline for the Debian
    stretch release schedule, which gives us more breathing space to fix this
    properly for the eventual deadline.

 -- Ximin Luo <email address hidden>  Fri, 23 Dec 2016 17:37:30 +0100
Deleted in lucid-release on 2010-02-04 (Reason: Removed from Debian testing, depends on python2.5; LP: #5...)
sagemath (3.0.5dfsg-4ubuntu2) lucid; urgency=low

  * Rebuild for python2.6 as the default python version.
 -- Matthias Klose <email address hidden>   Mon, 01 Feb 2010 21:03:35 +0000
Superseded in lucid-release on 2010-02-01
Obsolete in karmic-release on 2013-03-04
sagemath (3.0.5dfsg-4ubuntu1) karmic; urgency=low

  * Change boost build-dep to libboost-python1.38-dev

 -- Scott Kitterman <email address hidden>   Wed, 29 Jul 2009 13:53:10 -0400

Available diffs

175 of 79 results